Skip to content

Quick Send SMS - United Kingdom ​

This API is to send SMS messages using the Cellcast API in the United Kingdom region.

Parameters for Send SMS API ​

Headers Parameters ​

ParametersDescription
AuthorizationPlease add provided Bearer token - linked to your Cellcast account. Check here
Content-Typeapplication/json
regionUK

Request Body Parameters ​

NameExampleDescription
actionsend_smsThe action to perform
senderCellcast UKSender ID (Custom ID): Valid characters: A-Z a-z 0-9, space, and Dash (-). Sender ID must be between 3 and 11 characters
senderTypebusinessNameThe type of sender ID used. Currently, only "businessName" is supported.
messageSMS Text goes hereThe SMS message content. This is a required field. To insert a new line, use "\r\n" within the message string (e.g., "Hello\r\nWorld").
contacts["7958000000"]A JSON-encoded array containing recipient phone numbers. This is a required field. To send to multiple recipients, list their numbers in the array (e.g., ["7958000000", "7958000001"]). You can include up to 1,000 numbers in a single API call.
longUrl[{"longUrl": "www.google.com", "shortUrl": "goo"}]The long URL to be shortened and embedded in your message. The short URL must be at least 3 alphanumeric characters. Include the short URL in your message using the format m.gosite.au/ (e.g., m.gosite.au/goo).
optouttrueSet to true to enable the Custom Opt-Out feature using the optoutId.
optoutId6682440ea000000000000000The unique identifier of the Custom Opt-Out to be used. Check here to get your Custom Opt-Out ID. Leave this empty to use the default custom opt-out set here
replyStopToOptOutfalseSet to false when the optout feature is enabled

Code Samples ​

Post https://uk.mymessagecentre.com/api/qm

bash
curl --location 'https://uk.mymessagecentre.com/api/qm' \
--header 'authorization: Bearer {{API_KEY}}' \
--header 'content-type: application/json' \
--header 'region: UK' \
--data '{
    "action": "send_sms",
    "data": {
        "sender": "CellcastUK",
        "senderType": "businessName",
        "message": "Test API 😀",
        "contacts": [
            "7958000000"
        ],
        "optout": true,
        "replyStopToOptOut": false,
        "optoutId": "672a05747000000000000000"
    }
}'

Replace with the actual API key that you own.

Responses ​

Response Body ​

NameExampleDescription
MessageId67d2ade01000000000000000A unique identifier for the message, automatically generated by the system.
Contact447958000000The contact number formatted by the system after processing the request.

200 Success

json
{
    "is_error": false,
    "message": "success send message",
    "data": {
        "queueResponse": [
            {
                "Contact": "447958000000",
                "MessageId": "67d2ade01000000000000000",
                "Result": "Message added to queue"
            }
        ],
        "message": "success register all valid contacts to queue",
        "invalidContacts": [],
        "unsubscribeContacts": [],
        "totalValidContact": 1,
        "totalInvalidContact": 0,
        "totalUnsubscribeContact": 0
    }
}

401 Unauthorized

json
{
    "is_error": true,
    "message": "invalid token"
}

422 Unprocessable Entity (Credit is too Low)

json
{
    "is_error": true,
    "message": "Your balance is too low for this request, please recharge"
}